### Method

# Gio FileInfo get_attribute_as_string

#### Declaration [src]

    char*
    g_file_info_get_attribute_as_string (
      GFileInfo* info,
      const char* attribute
    )

#### Description [src]

Gets the value of an attribute, formatted as a human readable string.

This escapes things as needed to make the string valid UTF-8 and readable by humans. It’s not meant to be a machine readable or reversible escaping format.

To format file name attributes of type `G_FILE_ATTRIBUTE_TYPE_BYTE_STRING` for output as UTF-8, use `g_filename_to_utf8()` instead:

    const char *trash_orig_path_byte_string;
    g_autofree char *trash_orig_path_utf8 = NULL;

    trash_orig_path_byte_string = g_file_info_get_attribute_byte_string (info, G_FILE_ATTRIBUTE_TRASH_ORIG_PATH);
    trash_orig_path_utf8 = g_filename_to_utf8 (trash_orig_path_byte_string, -1, NULL, NULL, NULL);
    if (trash_orig_path_utf8 != NULL)
      g_message ("Some larger UTF-8 string with filename embedded as %s", trash_orig_path_utf8);

#### Parameters

`attribute`

  Type: `const char*`

  A file attribute key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `char*`

A UTF-8 string associated with the given `attribute`, or `NULL` if the attribute wasn’t set. When you’re done with the string it must be freed with g_free().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.